GNU bug report logs - #24395
auto-revert-remote-files freezes emacs (Windows 64-bit)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andreas Nilsson <an@HIDDEN>; Keywords: moreinfo; dated Thu, 8 Sep 2016 15:59:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 24 Nov 2016 15:39:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 10:39:00 2016
Received: from localhost ([127.0.0.1]:40599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c9w72-0005xY-9S
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2016 10:39:00 -0500
Received: from mout.gmx.net ([212.227.17.20]:53072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1c9w70-0005xI-PA
 for 24395 <at> debbugs.gnu.org; Thu, 24 Nov 2016 10:38:59 -0500
Received: from detlef.gmx.de ([87.146.62.107]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Le69A-1cXDeR2OA0-00psSG; Thu, 24
 Nov 2016 16:38:51 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
 <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
 <87twdmspk0.fsf@HIDDEN>
 <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN>
 <871t0odlan.fsf@HIDDEN>
Date: Thu, 24 Nov 2016 16:38:49 +0100
In-Reply-To: <871t0odlan.fsf@HIDDEN> (Michael Albinus's message of "Tue, 13
 Sep 2016 14:41:20 +0200")
Message-ID: <87vavclwfq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:9jEjrhE1nS033zkrf9U/J+OCLdWCPPGDmcfPUxLP6dBPUzymoil
 3D0XhABBZvBYA26Wpe9sQU2xY2h4kMRee9FD4qSzJuSDM9PY3nk3EssWPzAT442cR6POY4/
 8HKDSD4pdcri+qmK31IXkI0qTDs/44ouhLLR7Ho6n3xxrEu+DwPlHyMpgKhJeeLJ+sYglkt
 a9t78RNckTejhgFjvBT3Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:r9FP+NNjD6M=:y/Zqa4/aWzWzOfG76K+sCF
 YDo6HUWZ7zKeMKUJ0JTAgRd7mZbrLEADoOwF1EbZUV/Mj9Z2M3MG3LOi5ru+ECqU+Kur3pXkv
 f/HOx+35JfHIrfCMqiHpj9rtWIiFuc8OpzRCe++kPTbInyY6eD3aJu75N/5kIh5YxzRq5Tz0H
 XBQA2SZn3VUFBeJWsc0oP+tuiuDeEOImFwAjQsNThYmlXs32sZ/LTqeaS+buDrOKLCI5TP9SG
 mmi/wuUpEgSWvsaPZ27GPe9KlPH+RCujuu2j7vJhnNCVPwSD08ckU7t6olClO64iHqvccOJAH
 XL4hiHUYiAE8o2UiXAIZL53TWq1aKxRjReMuPiQ70dhA/F5WOV0n8GzjD8Lt7ucwgbDOlC500
 Qa4j3gri9xWmQAloPRbXGZKAVzlO7h1BjJQcj4j8quv8HaQnEzEdO3v3/3L0uwu7FXCZm29tw
 ugTcNjP9IW+i6VWvNVA45WzTmy2l7GcEWUhfDviPkbg+o8JF+AElfL2zRDsLAfZpuGy/gnyuc
 mIUGoJ7i8D4ReLKkTtkGs7HPAUJ9w0O9FAm6of0TQrSEj0FTcGg5RLcQpcZmhMs6xWNBySYAq
 cC3FOd4zZhthB2pZlGCfHpcQWLyankbZseNHxM3qosxczxEPz7u/OKbrHzo/g0I67gf3ne2Il
 24l4ckxwR7MhaM2XyaiQDPYrGUswZG61wQGeKT+czxF/897SShdTmAJ6AqwMvd6JCl3cmhH4z
 pqTtmlZTAT/bIUzV2m/o5YItrG/EdXn8Zs+q7etakl4OnpPoNHDpaTfhtvFvPmNAAwwyP+EOf
 elB2T7U
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Michael Albinus <michael.albinus@HIDDEN> writes:

Ping.

> Andreas Nilsson <an@HIDDEN> writes:
>
> Hi Andreas,
>
>> runemacs.exe -Q -l autorevert
>>
>> version 25.0.94.2 (x86_64-w64-mingw32)
>>
>> Set global-auto-revert-mode and auto-revert-remote-files both to t and do:
>>
>> C-x d /plink:SOMEHOST:/home/blah
>>
>> Open lots of files with C-o until Emacs goes into escapable
>> freeze. From what I tested the freeze is escapable with C-g using -Q
>> but what I experienced with no -Q was that it locked up Emacs most of
>> the time not escapable.
>
> How many files have you opened (you say "lots of files")? Could it be
> that you haved stressed poor little Emacs too much, out of what is a
> fair use? Every remote file in auto-revert-mode needs to be polled every
> 5 seconds for changes.
>
> How does it work, if you increase auto-revert-interval to a larger
> number, say 20?
>
> Could you bisect your init file in order to find the culprit which makes
> Emacs unresponsible for C-g?
>
> Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 3 Oct 2016 09:10:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 03 05:10:30 2016
Received: from localhost ([127.0.0.1]:42552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bqzGX-00046l-V5
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 05:10:30 -0400
Received: from mout.gmx.net ([212.227.17.21]:53226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1bqzGW-00046X-Iz
 for 24395 <at> debbugs.gnu.org; Mon, 03 Oct 2016 05:10:28 -0400
Received: from detlef.gmx.de ([93.209.87.55]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0MJBn4-1bseDk1P6w-002ol1;
 Mon, 03 Oct 2016 11:10:22 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
 <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
 <87twdmspk0.fsf@HIDDEN>
 <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN>
 <871t0odlan.fsf@HIDDEN> <8760phpq8h.fsf@HIDDEN>
 <20161002111204.35c85197@HIDDEN>
Date: Mon, 03 Oct 2016 11:10:20 +0200
In-Reply-To: <20161002111204.35c85197@HIDDEN> (Andreas Nilsson's message
 of "Sun, 2 Oct 2016 11:12:04 +0200")
Message-ID: <874m4tn6gz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:EvErLPt8zA0bFHnVAEnoT8mSIvbk3GSuG+vh3v9TxKSe960qDKU
 YyNGBd8EkDGMBHpf2vhQ1PzsblM1iQKTxD786BetLh2F6dq2YYs0Wt9yCobxBzrilGGoKy6
 lWg0aQtcMA2yDbAkGpxu2Rh9Xg2ii0kR3bD+sOqgrRJjV3Z7U22vu57F38uZLuVfzY2E1K2
 g2eL+IWKYV7z5j+LZOguw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:VlzCIsvm32M=:UR/MKoki4uvYXEhDQfZBSM
 Z4dLLAuNQL/zlosysTUWWZMAJt674aj1UgulpehOLwYEQzH4CsehEHO+xxPQTG+i90sSrkneW
 fUEaZebaVKfzNWMfbvK2amoz2flg11gS/mZUTBs7aAkCIQwp30ZsTMmbCtUweoFTXmYEBm2MP
 e1pHdKF9jxxqJ6Tu9kSy40s4VaXm04DtkZNp03AWUAaBCK3+8IiNLB1WACYeMtbUleZ6pFjzI
 q16gWZH3gTX2HfseKUuRHbE4JdOogw0eprJ78Vn1gXokWnBd7n2ijudk7YXgTO0onqDcq7/dm
 zVEmNtnIby/dEvIsIn+waA9v+1tEBT+0txM7NTTZi43GgG1lyLZ7Nlaifh6XPurcZxV/wneCq
 95Fr898tj5vm8kQGQGQon+Gr5NcUfeLTdxamwrDTPsZn9gYZFAs0XZJbcHuu+LWlXdGLy0dz7
 xtNyrHdD0ha//xGuaBKC9fE7wYhWpHuYw+fzP6klWiVWvNPNS0tpU+D4ar0W6agA1na/557U0
 v0ug/tnJ0hOVljHVGX+K28Mv4djnm5BFKsD19wkUVCS/aI5PNdJjCfLp6mcbaHJpQrVmjAyy3
 N5YlyNDMzx45f0kh873tIj+QDv3wAuJIGHoUwRjPyDZrL/IojeCNY8oqmvs7PD51SxZAg61nb
 shft27/UZUZlY/3z+AHOXfhJS4YDq0waftHTJyPVM5YeAXuaAZvlUkXZQXap8WRrTvEB94vti
 eX6C62/35GfppdOVmo8fnKk2kounGwhD4M2YKrMStJJpx/f7L25Ie9U7el4Q7CotBgX/9V7H9
 IqdgKBp
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Andreas Nilsson <an@HIDDEN> writes:

> Hello again.

Hi Andreas,

> I somehow made Emacs not have this behaviour even though they are both
> set to t, that is global-auto-revert-mode and auto-revert-remote-files,
> what could be wrong now?

I cannot say too much about; I don't use MS Windows. Sorry.

> Regards,
> Andreas

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 3 Oct 2016 09:06:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 03 05:06:01 2016
Received: from localhost ([127.0.0.1]:42547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bqzCD-0003x3-E6
	for submit <at> debbugs.gnu.org; Mon, 03 Oct 2016 05:06:01 -0400
Received: from mout.gmx.net ([212.227.15.18]:58042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1bqzCB-0003wk-EM
 for 24395 <at> debbugs.gnu.org; Mon, 03 Oct 2016 05:06:00 -0400
Received: from detlef.gmx.de ([93.209.87.55]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0Lx8vJ-1apg9h3dhB-016d3D;
 Mon, 03 Oct 2016 11:05:52 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
 <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
 <87twdmspk0.fsf@HIDDEN>
 <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN>
 <871t0odlan.fsf@HIDDEN> <8760phpq8h.fsf@HIDDEN>
 <20161001151748.3d47f7fc@HIDDEN>
Date: Mon, 03 Oct 2016 11:05:51 +0200
In-Reply-To: <20161001151748.3d47f7fc@HIDDEN> (Andreas Nilsson's message
 of "Sat, 1 Oct 2016 15:17:48 +0200")
Message-ID: <878tu5n6og.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:2HSurfzWDGInO+MAxe+BXhR4Ockuq60DKIwQKl9+FUaqt2y0hsH
 gRoEURuiozbMX3cnMDHf1JxP8MNxEUU0CFVodCUcV29q5SoTtOxQa261+lG830MTVDRH1Ny
 viCyCtcln7Ogublwl2eFus9K+yf+LKJ8nocanZpCzT47vWgVP3XgC6Fk6ohj0E6dzZ50i6J
 7O6zU7/GmLRH7zjf3cZfA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:vcDQ9fpAwsI=:LWamV/10ErrLOfcWPqeK7i
 HNDOC1Yz1+vAOb+YEI3+OtivPynBhuP1FefHxMYeM0FWgy6gYO0bS7FfvPN0nmVFOkEduLA5K
 lr6Myq/uHAQ5+ZHl1HdjrwltZ30+lGWocwvmZJlVBy60iBbqWPzVGOOQn82RSlhDyvHW7iQH7
 KwETIJou1gXjThHWEFT9o6HPJDSyJ7tcoN5BVx2hg0f4c4aWeWvxuX2t6oBnZVsMoZCZGed+U
 cfx1apZLZ/UPVptRQ0+hpHbMC89PM1JSpJp2PGcm2RKgQ7sEw0E6FE1yalfgcm++Zi8nEB7D9
 d+7of0mnedZJTT0gK1SeC7ZRtWtqN2J2SKybBw8uL6M2sycOeptZYwbyLrfXkKAcRHqnNukqZ
 nmebP1398OD25AkfFtnoGODqisnc0F5QBZbJ3Sw6tpBrCHbh78tmNciR8aUSu0Ln2miyPToem
 IPjNym3d7YHQcBoBLVncDP1j6w2BhwWxmYhdm/vzWFl3SYTzhOlFDMptn3m0utxHe6+gFi3hO
 QJ9S7SAHHxfNLGMIoMaW5MRoiDasazZp6PVjYgx/NZ4YRZ9d1bl4H/6yEkMQWQkGtIKaSvf4s
 waRI6j7YrHwFI8c8DMOFGEVMkThWeZeJd0vykDwffSCiNqb6Hw8fqcXNu1sC+9QHTHPW/ZDSI
 tTTNd+40lhcpsYsWKXJtsGy516aLtsYRPqJ5c/n0Q7tceO+LyQEjcGhsTw/WZQ6/0fsuEsM8B
 0mavtElKzAnlVSz0R7tAbOjBEWj1KEtb/WGQfg3SNPD6ZpPWp3TyFj8D1ci5W6alOuenfp71J
 WhNivbr
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Andreas Nilsson <an@HIDDEN> writes:

> Hello!

Hi Andreas,

> I just tried the same thing with Tramp+SCP in Arch, nothing to report.
> I guess this is a problem with Plink and Tramp toghether (Windows).
> Maybe the bug is not at all in Emacs but instead in Plink? At least
> this is reported as a problem, I will keep in touch if I experience
> anything using SCP.

Wich PuTTY version are you using? 0.63 as a problem which also affects
Tramp, see
<https://groups.google.com/forum/#!msg/comp.security.ssh/F1B9Gr9SzoQ/Pm2JhPKcNVkJ>

> Regards,
> Andreas

Best reards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 2 Oct 2016 09:11:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 02 05:11:56 2016
Received: from localhost ([127.0.0.1]:41519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bqcoO-0006Tp-Lf
	for submit <at> debbugs.gnu.org; Sun, 02 Oct 2016 05:11:56 -0400
Received: from ste-pvt-msa2.bahnhof.se ([213.80.101.71]:54534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1bqcoM-0006Tg-K6
 for 24395 <at> debbugs.gnu.org; Sun, 02 Oct 2016 05:11:55 -0400
Received: from localhost (localhost [127.0.0.1])
 by ste-pvt-msa2.bahnhof.se (Postfix) with ESMTP id 77DE63F47E;
 Sun,  2 Oct 2016 11:11:52 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from ste-pvt-msa2.bahnhof.se ([127.0.0.1])
 by localhost (ste-pvt-msa2.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id ZRm1Zq_rTUko; Sun,  2 Oct 2016 11:11:42 +0200 (CEST)
Received: from localhost.localdomain (h-94-103.a230.priv.bahnhof.se
 [94.254.94.103]) (Authenticated sender: mb693743)
 by ste-pvt-msa2.bahnhof.se (Postfix) with ESMTPA id 33E753F37A;
 Sun,  2 Oct 2016 11:11:41 +0200 (CEST)
Date: Sun, 2 Oct 2016 11:12:04 +0200
From: Andreas Nilsson <an@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
Message-ID: <20161002111204.35c85197@HIDDEN>
In-Reply-To: <8760phpq8h.fsf@HIDDEN>
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
 <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
 <87twdmspk0.fsf@HIDDEN>
 <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN>
 <871t0odlan.fsf@HIDDEN> <8760phpq8h.fsf@HIDDEN>
X-Mailer: Claws Mail 3.14.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.7 (---)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.7 (---)

Den Tue, 27 Sep 2016 12:54:38 +0200
skrev Re: bug#24395: auto-revert-remote-files freezes emacs (Windows
64-bit):

> Michael Albinus <michael.albinus@HIDDEN> writes:
> 
> > How many files have you opened (you say "lots of files")? Could it
> > be that you haved stressed poor little Emacs too much, out of what
> > is a fair use? Every remote file in auto-revert-mode needs to be
> > polled every 5 seconds for changes.
> >
> > How does it work, if you increase auto-revert-interval to a larger
> > number, say 20?
> >
> > Could you bisect your init file in order to find the culprit which
> > makes Emacs unresponsible for C-g?  
> 
> Ping.
> 
> Best regards, Michael.

Hello again.

I have to re-open this one because it was my bad, Emacs actually locks
up still when using this option... Is it not locking up for you?
I somehow made Emacs not have this behaviour even though they are both
set to t, that is global-auto-revert-mode and auto-revert-remote-files,
what could be wrong now?

Regards,
Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 1 Oct 2016 13:17:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 01 09:17:39 2016
Received: from localhost ([127.0.0.1]:40414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bqKAd-0002OS-94
	for submit <at> debbugs.gnu.org; Sat, 01 Oct 2016 09:17:39 -0400
Received: from pio-pvt-msa3.bahnhof.se ([79.136.2.42]:43553)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1bqKAb-0002OI-I7
 for 24395 <at> debbugs.gnu.org; Sat, 01 Oct 2016 09:17:38 -0400
Received: from localhost (localhost [127.0.0.1])
 by pio-pvt-msa3.bahnhof.se (Postfix) with ESMTP id E9A9C3F715;
 Sat,  1 Oct 2016 15:17:35 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from pio-pvt-msa3.bahnhof.se ([127.0.0.1])
 by localhost (pio-pvt-msa3.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id LmPYwA7gtTxI; Sat,  1 Oct 2016 15:17:26 +0200 (CEST)
Received: from localhost.localdomain (h-94-103.a230.priv.bahnhof.se
 [94.254.94.103]) (Authenticated sender: mb693743)
 by pio-pvt-msa3.bahnhof.se (Postfix) with ESMTPA id 5BB6E3F63A;
 Sat,  1 Oct 2016 15:17:26 +0200 (CEST)
Date: Sat, 1 Oct 2016 15:17:48 +0200
From: Andreas Nilsson <an@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
Message-ID: <20161001151748.3d47f7fc@HIDDEN>
In-Reply-To: <8760phpq8h.fsf@HIDDEN>
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
 <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
 <87twdmspk0.fsf@HIDDEN>
 <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN>
 <871t0odlan.fsf@HIDDEN> <8760phpq8h.fsf@HIDDEN>
X-Mailer: Claws Mail 3.14.0 (GTK+ 2.24.31; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

Den Tue, 27 Sep 2016 12:54:38 +0200
skrev Re: bug#24395: auto-revert-remote-files freezes emacs (Windows
64-bit):

> Michael Albinus <michael.albinus@HIDDEN> writes:
> 
> > How many files have you opened (you say "lots of files")? Could it
> > be that you haved stressed poor little Emacs too much, out of what
> > is a fair use? Every remote file in auto-revert-mode needs to be
> > polled every 5 seconds for changes.
> >
> > How does it work, if you increase auto-revert-interval to a larger
> > number, say 20?
> >
> > Could you bisect your init file in order to find the culprit which
> > makes Emacs unresponsible for C-g?  
> 
> Ping.
> 
> Best regards, Michael.

Hello!

I just tried the same thing with Tramp+SCP in Arch, nothing to report.
I guess this is a problem with Plink and Tramp toghether (Windows).
Maybe the bug is not at all in Emacs but instead in Plink? At least
this is reported as a problem, I will keep in touch if I experience
anything using SCP.

Regards,
Andreas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 27 Sep 2016 10:54:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 27 06:54:48 2016
Received: from localhost ([127.0.0.1]:36993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1boq2C-0005vo-7I
	for submit <at> debbugs.gnu.org; Tue, 27 Sep 2016 06:54:48 -0400
Received: from mout.gmx.net ([212.227.15.18]:60987)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1boq2A-0005va-EP
 for 24395 <at> debbugs.gnu.org; Tue, 27 Sep 2016 06:54:46 -0400
Received: from detlef.gmx.de ([87.146.38.81]) by mail.gmx.com (mrgmx001) with
 ESMTPSA (Nemesis) id 0M9K5G-1bePMs1BCY-00CkX9;
 Tue, 27 Sep 2016 12:54:40 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
 <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
 <87twdmspk0.fsf@HIDDEN>
 <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN>
 <871t0odlan.fsf@HIDDEN>
Date: Tue, 27 Sep 2016 12:54:38 +0200
In-Reply-To: <871t0odlan.fsf@HIDDEN> (Michael Albinus's message of "Tue, 13
 Sep 2016 14:41:20 +0200")
Message-ID: <8760phpq8h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:2y/uNNbz75gGmHLPlkbOIpo7UYd7dJJ/sWahc1RN1J3+Vn8OZGr
 eL4FaQfC3cJZZIm46NC9bf8ayDbvHOPqSBF1kFi2q3FgC/ljdFClkkp2Gb73xbBQFt0/eRh
 EqXdavW0mRFAc9s4dSKlrEgugGE5SeDGwg7h53CwPIElQquoHEQxEIXYtpljetKmnj9iZ3n
 EgK52rindPSF012w2KJXw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:qZ7YIu9PGF0=:dHFq/Omw8MenCE4/ulFGZ7
 3GPBnVTLpcz26nf62ZjMzvkyn67LbH7/jlEC8Gqm3yjafTls1pGQYRcvgmMJGUjin03awfnQZ
 tgKq3l2rey1PEFSb/cW0CmX8kWgj02PsH1xOb3iU19PXY+Z8eeMlye3qT9DIwR96KT8I+D0Ev
 Ln7ElooHmdDJ+2x9JA5gdWxs3VFNlrcCrQJcwLUfl6aGVyOqToBORQaCT1xs5wcr25Zd1IFBy
 SNYvGkVbnkeV6G3QBkpQFJqJR8LzXE9y6fo4U+wV3V2KNaHQQ0LJYPLJ7usvDdw9xUvVe2qJA
 qAnyPYosiImp55QY1raEilYEYcfB+/gMz7sRpbKX6uaVhdT2/LL/UneCL8Mf9YvSGW7GuJPME
 iYVbCysIve0nlH6v5Uz+MZuDgqjpQI6tV9il6E1c0jYEp6oA3pDVhAKHEnwkZ07mqlaUCN021
 zrsIpXJ1UjqLsSfdbD+9f0Mb0ycNf9mkSXCDj164w/zGrKI/TtlvqOTn2CUXk9p34klNrvZWm
 yDl/u43Idw8cL88dEnFqHX5ysuerm19l6hA+nTIzW5VOJHfDJzrn30/pD/VCez1UVQ8H5mEuM
 9qKUk8Qoj36pHuXLsVYHxkuPRQuEkfr2Qx2l3G+laveE962iZ+bjjTKxoklefwVVdV7kHrm63
 K2JibCr/FdpXaQDaScu/V/lBZMGvldVnA/rKei1nst0WYxWDQgRpBKSfXeaFDP07VmBMHOm1E
 SUNnIyubrLgY8m5USC/eGIR5aaAv38+2Go9CMAs6wK+w6SOyaghOW3cXzDt1AM2J17R96cws/
 3DX9FvV
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Michael Albinus <michael.albinus@HIDDEN> writes:

> How many files have you opened (you say "lots of files")? Could it be
> that you haved stressed poor little Emacs too much, out of what is a
> fair use? Every remote file in auto-revert-mode needs to be polled every
> 5 seconds for changes.
>
> How does it work, if you increase auto-revert-interval to a larger
> number, say 20?
>
> Could you bisect your init file in order to find the culprit which makes
> Emacs unresponsible for C-g?

Ping.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 13 Sep 2016 12:41:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 13 08:41:29 2016
Received: from localhost ([127.0.0.1]:58279 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bjn1l-00073D-Nm
	for submit <at> debbugs.gnu.org; Tue, 13 Sep 2016 08:41:29 -0400
Received: from mout.gmx.net ([212.227.15.15]:64072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1bjn1j-000730-NY
 for 24395 <at> debbugs.gnu.org; Tue, 13 Sep 2016 08:41:28 -0400
Received: from detlef.gmx.de ([87.146.50.47]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0LcT2M-1bHZTT1nGA-00jqkr;
 Tue, 13 Sep 2016 14:41:21 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
 <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
 <87twdmspk0.fsf@HIDDEN>
 <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN>
Date: Tue, 13 Sep 2016 14:41:20 +0200
In-Reply-To: <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN> (Andreas
 Nilsson's message of "Sun, 11 Sep 2016 13:57:09 +0200")
Message-ID: <871t0odlan.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:a1LGyIZHu9CyiRRVNHZTzfMYsL5kTdTDiaanqTEn7BZTzk7jqEq
 9FjnLb1stycR2OL3mZwLx+q/jUsmHyLE9RYeOdxRD8mtep5XSm8WbdcJ/hQN8DJVuYVgYvh
 URF9py1FU7Z2Dz1ROS11GBeBmyEsAnCknENzCfGJ663WYWANzxLRSRKnr/3kQcEbiQQnMy0
 vUzWSzk/gWeQGbVNDBcjA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:zAarxmShdS4=:l/QYxPVId+A1uUPh076zrP
 sSYYEr2R8ZWSkhEkyFD3gbobkT7pWr5FQlF8Zd1HueS9qjbNnNfmH/g+LhGDPB1KtbDazjxpK
 uUUdkgrtLfNQJmruySCH6EZB/2/2iQZ9TMOr94NyYXFY0/ptgyOSc6Pt3Ad0t33Ny7dS6rnBZ
 Xw7LIf0/6EPuNCDXttSlEi0YBa8JDsSBm/AfdVPBRmpFMaRLupElqUjAjzpFuODY3zBV+yGiD
 Zp9XG7Q4a+q+Py7Yc1UAc/b4B5MyhALZ/iz9JMQefo7zhs9vm3dX0fWYXf9m4UjUi013GGAKV
 4wRlkvymW5WtXUT6HJijQZJ/PsPnbs7J/tSauZLj/oxeXhg/TuhCo1j2fshP+JRxF2yrccTlu
 Pk3Tw00GHCXYIre9LXWnYrQ1RXpgaUmL9cqu5cV7/30GrE0BwR5lX68Lu6w727J5Y2xqXKPzr
 mkxTVJsdfVbocRDw8/w3Ei1ZWULK1FvVeFKwpFdA7VzXqBmWicwaRutBSKP8TBLBPl/Rra/1c
 zylTPQGxppY8cwtgmuhwp+wpMtMby6LfXkRB1A6RJdB0zktPUhpY2AtnN76BiVVQ2tE15Y4Vg
 3yw2bEan476fIya84krVhXzMaNcrfXcVD1c1p1Lft4J1BUzHItajuT9sQMBrPygiACZoGACBp
 cR6J67e3BVqTqFzK2Fe/j+M9mAh85uopPWULt7E/bVpRDcZSJt7PdtkzlsdrwfySxtpWI84R6
 /fmjwP0F4HxbkPbUHCr+2lVis1LrudrFepRQbd2+i2LA1lrJRoVCBi8A2KUO17/Z9EaHgV7Em
 jzDVKV7
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Andreas Nilsson <an@HIDDEN> writes:

Hi Andreas,

> runemacs.exe -Q -l autorevert
>
> version 25.0.94.2 (x86_64-w64-mingw32)
>
> Set global-auto-revert-mode and auto-revert-remote-files both to t and do:
>
> C-x d /plink:SOMEHOST:/home/blah
>
> Open lots of files with C-o until Emacs goes into escapable
> freeze. From what I tested the freeze is escapable with C-g using -Q
> but what I experienced with no -Q was that it locked up Emacs most of
> the time not escapable.

How many files have you opened (you say "lots of files")? Could it be
that you haved stressed poor little Emacs too much, out of what is a
fair use? Every remote file in auto-revert-mode needs to be polled every
5 seconds for changes.

How does it work, if you increase auto-revert-interval to a larger
number, say 20?

Could you bisect your init file in order to find the culprit which makes
Emacs unresponsible for C-g?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 11 Sep 2016 11:57:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 07:57:00 2016
Received: from localhost ([127.0.0.1]:55953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bj3Nc-0004XR-Mc
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2016 07:57:00 -0400
Received: from pio-pvt-msa1.bahnhof.se ([79.136.2.40]:40292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1bj3Nb-0004XI-5b
 for 24395 <at> debbugs.gnu.org; Sun, 11 Sep 2016 07:56:59 -0400
Received: from localhost (localhost [127.0.0.1])
 by pio-pvt-msa1.bahnhof.se (Postfix) with ESMTP id 552EE3F597;
 Sun, 11 Sep 2016 13:56:56 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from pio-pvt-msa1.bahnhof.se ([127.0.0.1])
 by localhost (pio-pvt-msa1.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id n033Mk1bZ48K; Sun, 11 Sep 2016 13:56:55 +0200 (CEST)
Received: from [192.168.1.223] (h-94-103.a230.priv.bahnhof.se [94.254.94.103])
 (Authenticated sender: mb693743)
 by pio-pvt-msa1.bahnhof.se (Postfix) with ESMTPA id 49DE93F36B;
 Sun, 11 Sep 2016 13:56:55 +0200 (CEST)
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
To: Michael Albinus <michael.albinus@HIDDEN>
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN> <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
 <87twdmspk0.fsf@HIDDEN>
From: Andreas Nilsson <an@HIDDEN>
Message-ID: <a38accc0-9925-7289-fd7e-6d5cd1628204@HIDDEN>
Date: Sun, 11 Sep 2016 13:57:09 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.2.0
MIME-Version: 1.0
In-Reply-To: <87twdmspk0.fsf@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.9 (--)

runemacs.exe -Q -l autorevert

version 25.0.94.2 (x86_64-w64-mingw32)

Set global-auto-revert-mode and auto-revert-remote-files both to t and do:

C-x d /plink:SOMEHOST:/home/blah

Open lots of files with C-o until Emacs goes into escapable freeze. From 
what I tested the freeze is escapable with C-g using -Q but what I 
experienced with no -Q was that it locked up Emacs most of the time not 
escapable.

auto-revert-use-notify is nil


Den 2016-09-11 kl. 12:23, skrev Michael Albinus:
> Andreas Nilsson <an@HIDDEN> writes:
>
>> "runemacs.exe -Q" makes this variable (auto-revert-remote-files) not
>> show up with customize-variable.
> Please call "runemacs.exe -Q -l autorevert" then, and change
> `auto-revert-remote-files' to t in the Customization. Could you still
> repoduce the problem?
>
> And what is the value of `auto-revert-use-notify'?
>
>> Kind regards,
>> Andreas
> Best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 11 Sep 2016 10:23:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 06:23:40 2016
Received: from localhost ([127.0.0.1]:55934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bj1vI-0000Zj-BY
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2016 06:23:40 -0400
Received: from mout.gmx.net ([212.227.15.18]:59446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1bj1vG-0000ZT-4A
 for 24395 <at> debbugs.gnu.org; Sun, 11 Sep 2016 06:23:39 -0400
Received: from detlef.gmx.de ([79.195.4.70]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0LpKrt-1b4BOg2uur-00fDVb; Sun, 11 Sep 2016 12:23:31
 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
 <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
Date: Sun, 11 Sep 2016 12:23:27 +0200
In-Reply-To: <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN> (Andreas
 Nilsson's message of "Fri, 9 Sep 2016 18:42:33 +0200")
Message-ID: <87twdmspk0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:eyHJey7d3W4TddabQL6KmJi3w3fHxg4qoMaq3P/LKeAzApRy3Dv
 FQ24Y1qVzEjyHqdyn5R0darfwWQNxjwlai1RJ6fS/aOz0vquvfvreg3xIIHKwpinWHjlLPo
 l1aXDBd2abkhTUbsxBLcuv2cFW19m3WarfgE9p1HSL8TRrDAUsXqjfnzXjdAV10ssoXzMdp
 GBs6aUva2fpBIsSWDDB/Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:6V7gGXwxIrg=:fc3kAJ8BSPstT3cyDx9ff5
 5HAu1MbLUSvbRW9SKUPmuZRavJ3FEEYIzFoxtIK1ZxGq6uGlamGSdIQZzPduvyOwQhPHlWVC0
 H30Au61Kt8K1pyxCamu4rLcZT2iLnzdsLEsVDBXy6g4GiPmgUwbDASfsrgaaK2OZJMzzaYTsy
 70PZe5tsXXV5s96GZwd0lleHx1/DbTNzl2QfJ1mi2fdFajy5pMmGupvO9Q4yMAEyWdHI+UzJ8
 7fxZVW91Ec4ByCr/4N7ttoTgqZB2cWxGEc+jc5Hi0JEfby7XQq4mqtATjZTfIJDsE8S57s57e
 dfM//GOq+C768RpKFrhk68KUHjSELJd+VThKhZnnXOWP+dqUi3ppDndxE5aeuKurE9Og00kRP
 TiibDVWAXSRw0PTzhDXjikEGmB/KqQVanXoRjG+CNbykVlUxxIe74d0vOW+NFGbafEsgslyeO
 zYwWjsK197u23r4oyg5qReGPsk4QvqYyUhs70G0Z5o+j+euzx99wCSmehgHv+Xy9ghyl59qn2
 hB0iZSbqOrc6r4N43xJCQsDM+3sWSW+IfLYLM30iMnI3i0pNPzFWjJxJfyMLOukuQKRIdN53v
 tgLkUP8aVj9RT6c/gJlsTgOXMPtD0qaiZ4xdtiZQbCle21w9RpLp+iU8b13OAUDcjTuiXOHuM
 0b8HB0X9HRhRp4xHxkDOW9BXSmEQRqx8dSNaCVaf3TbVcKo93KaUJXwUBwKjtP43/kAJCNZxU
 8T3OrlBxp9Wk1Gx7JThGDeoKeWvostKre6FUSMi64yj7cI8QospzY8Kf4QeaVWIwTWnhNlthC
 Mrg0g8p
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Andreas Nilsson writes: > "runemacs.exe -Q" makes this
 variable
 (auto-revert-remote-files) not > show up with customize-variable. Please
 call "runemacs.exe -Q -l autorevert" then,
 and change `auto-revert-remote-files'
 to t in the Customization. Could you still repoduce the problem? [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.15.18 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.18 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (michael.albinus[at]gmx.de)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.18 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Andreas Nilsson writes: > "runemacs.exe -Q" makes this variable
    (auto-revert-remote-files) not > show up with customize-variable. Please
   call "runemacs.exe -Q -l autorevert" then, and change `auto-revert-remote-files'
    to t in the Customization. Could you still repoduce the problem? [...] 
 
 Content analysis details:   (1.7 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  2.4 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.15.18 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.18 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.18 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (michael.albinus[at]gmx.de)

Andreas Nilsson <an@HIDDEN> writes:

> "runemacs.exe -Q" makes this variable (auto-revert-remote-files) not
> show up with customize-variable.

Please call "runemacs.exe -Q -l autorevert" then, and change
`auto-revert-remote-files' to t in the Customization. Could you still
repoduce the problem?

And what is the value of `auto-revert-use-notify'?

> Kind regards,
> Andreas

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 9 Sep 2016 16:42:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 12:42:26 2016
Received: from localhost ([127.0.0.1]:54837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1biOsk-0008Pj-8e
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2016 12:42:26 -0400
Received: from pio-pvt-msa2.bahnhof.se ([79.136.2.41]:33598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1biOsi-0008PZ-63
 for 24395 <at> debbugs.gnu.org; Fri, 09 Sep 2016 12:42:24 -0400
Received: from localhost (localhost [127.0.0.1])
 by pio-pvt-msa2.bahnhof.se (Postfix) with ESMTP id 16B9E3F481;
 Fri,  9 Sep 2016 18:42:22 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from pio-pvt-msa2.bahnhof.se ([127.0.0.1])
 by localhost (pio-pvt-msa2.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id ye5fY91ar5fU; Fri,  9 Sep 2016 18:42:21 +0200 (CEST)
Received: from [192.168.1.223] (h-94-103.a230.priv.bahnhof.se [94.254.94.103])
 (Authenticated sender: mb693743)
 by pio-pvt-msa2.bahnhof.se (Postfix) with ESMTPA id A189A3F36B;
 Fri,  9 Sep 2016 18:42:21 +0200 (CEST)
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
To: Michael Albinus <michael.albinus@HIDDEN>
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
 <87h99ptsmd.fsf@HIDDEN>
From: Andreas Nilsson <an@HIDDEN>
Message-ID: <2f77080a-a069-320c-dd08-0b3bbbb9f214@HIDDEN>
Date: Fri, 9 Sep 2016 18:42:33 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.2.0
MIME-Version: 1.0
In-Reply-To: <87h99ptsmd.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

The freeze happens for example when opening files using Tramp+plink in 
Dired. Tested Emacs 24.5 and 25.0.94.2 (64-bit precompiled for Windows).

Regarding auto-revert-mode: Yes I have global-auto-revert-mode set to t.

"runemacs.exe -Q" makes this variable (auto-revert-remote-files) not 
show up with customize-variable.

I reproduce this bug by going into Dired+Tramp+plink and select file 
after file doing C-o for each one, Emacs eventually hangs.

Kind regards,
Andreas

Den 2016-09-09 kl. 09:55, skrev Michael Albinus:
> Andreas Nilsson <an@HIDDEN> writes:
>
> Hi Andreas,
>
>> This happens for me on two different computers, Windows 10 and Windows
>> 8.1. I don’t know what more info to provide than “it happens”, I can
>> provide stacktraces on some scenarios but not on all since C-g doesn’t
>> work all the time.
> Could you, please, provide more details? Which Emacs version are you
> using?
>
> Is it reproducible? In case of yes, do you have a recipe that we
> could reproduce it? Do you apply auto-revert-mode on buffers related to
> remote files?
>
> Does it also happen when you start "emacs -Q", that means with out
> evaluating your .emacs or init.el file?
>
> Thanks, and best regards, Michael.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at 24395 <at> debbugs.gnu.org:


Received: (at 24395) by debbugs.gnu.org; 9 Sep 2016 07:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 03:55:18 2016
Received: from localhost ([127.0.0.1]:54162 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1biGeb-0000NC-UE
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2016 03:55:18 -0400
Received: from mout.gmx.net ([212.227.15.15]:54448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1biGea-0000Mz-Lk
 for 24395 <at> debbugs.gnu.org; Fri, 09 Sep 2016 03:55:17 -0400
Received: from detlef.gmx.de ([87.146.53.31]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0LZhsq-1bLGdt0yJY-00lUAd;
 Fri, 09 Sep 2016 09:55:09 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Andreas Nilsson <an@HIDDEN>
Subject: Re: bug#24395: auto-revert-remote-files freezes emacs (Windows 64-bit)
References: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
Date: Fri, 09 Sep 2016 09:55:06 +0200
In-Reply-To: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN> (Andreas
 Nilsson's message of "Thu, 8 Sep 2016 17:39:31 +0200")
Message-ID: <87h99ptsmd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:Pr67bFwWxEPboHRz7y+7D0E9I9CFgLAb3s5KlB5VMnRfNfSPNto
 S1829B3qJy3XLHcdJMN3+vpRUciqWi+/8ZNSWj22ykN2fY5hWYUWh9M911EEBMs+ro2a/nR
 rtySfnT8Jh34FA19xF4szkJEvj0l0ErBDEldyRBS7Ojchij3bi1sG4t+/pc9zxunCGmAM4o
 eCKI2OLPYth0z9YVA4v0Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:eiXAbqcmdgo=:OkgoxQMUIAqPeCylrV64fu
 S75/S6W4RzTPXKhHYmmc3qn1mJ8UCARxahgk0mxzdyn+di6PrCzrqnD5Kmj3NCwKbNe72424q
 DTgnpCTmWjZxeOWmNl6RCipBy4aLJCjz9P0bSgDjlTTK5EczN7dyjRz/MMRyXXAiaSoEkwa3D
 k97qGXKDbovby8pkBcWHHSMp6M4S+QyotmHMZZrzho9G6WRGeGgWYJZpJ96kZ5KzCkZQBUrKg
 Nm9uNBivmdTtYVE8GFhDv1bNjstVVlls5bDmnDcJYPMUHxVdp3l5NLCvWqynrcPplHPdJ5yyP
 VgNFt0t8Ihq8PrfTVHEjcODqmLv+KizVDbV5kaAzTUnXw66zfPhII/T4cTnb2lEmXRnQ+X+GB
 ipLCf0U28EW5YtJF4Q14dr+Hw+9sW0EBwYTk5dHS5n7XEpcsMv469NcI+1KtoGK3TsCh759V6
 PX+7+2AlLH6Ov0+NirlJQ55T+sGwNrzLgorh1aH2VURa3+cPkGX8Z9BKv+awGL+oTuUmpXfA3
 YbXxce3oaA50spogo6r7akDueJPWWtn4bHbE2ytNTS3+qmT7XkO8ORTjIy+tPazTDniQ+Xajg
 NtKSJLni+SvcQp2m5FethoXwdnypVDPV87fk6oqcQka49KABHt/+v7oALhz90fccimghHuCCN
 Ygb96cwFXdEWnmeE6NK+YxFwl7fCnMTraS7djajvtGsmOmI3kRm9OynmYx0voUBPRqPATU8NB
 CKyghHEN/Tr2gT0dK3epl+gfUoRjW3qraXtcx242iXqBkcqQVDglcrFNJQ3uzxdOOWXJJmENA
 p4b4oqa
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24395
Cc: 24395 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Andreas Nilsson <an@HIDDEN> writes:

Hi Andreas,

> This happens for me on two different computers, Windows 10 and Windows
> 8.1. I don=E2=80=99t know what more info to provide than =E2=80=9Cit happ=
ens=E2=80=9D, I can
> provide stacktraces on some scenarios but not on all since C-g doesn=E2=
=80=99t
> work all the time.

Could you, please, provide more details? Which Emacs version are you
using?

Is it reproducible? In case of yes, do you have a recipe that we
could reproduce it? Do you apply auto-revert-mode on buffers related to
remote files?

Does it also happen when you start "emacs -Q", that means with out
evaluating your .emacs or init.el file?

Thanks, and best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2016 15:58:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 11:58:40 2016
Received: from localhost ([127.0.0.1]:53789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bi1iq-0006IE-1N
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 11:58:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <an@HIDDEN>) id 1bi1QW-0005qs-Bo
 for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 11:39:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bi1QQ-0002vK-9D
 for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 11:39:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40852)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bi1QQ-0002ux-5q
 for submit <at> debbugs.gnu.org; Thu, 08 Sep 2016 11:39:38 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47811)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bi1QN-0003IK-Vj
 for bug-gnu-emacs@HIDDEN; Thu, 08 Sep 2016 11:39:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bi1QL-0002tj-7F
 for bug-gnu-emacs@HIDDEN; Thu, 08 Sep 2016 11:39:35 -0400
Received: from ste-pvt-msa2.bahnhof.se ([213.80.101.71]:5398)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <an@HIDDEN>) id 1bi1QL-0002qE-0H
 for bug-gnu-emacs@HIDDEN; Thu, 08 Sep 2016 11:39:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by ste-pvt-msa2.bahnhof.se (Postfix) with ESMTP id 79C143F976
 for <bug-gnu-emacs@HIDDEN>; Thu,  8 Sep 2016 17:39:21 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at bahnhof.se
Received: from ste-pvt-msa2.bahnhof.se ([127.0.0.1])
 by localhost (ste-pvt-msa2.bahnhof.se [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id UcH4TzTlf9g0 for <bug-gnu-emacs@HIDDEN>;
 Thu,  8 Sep 2016 17:39:21 +0200 (CEST)
Received: from [192.168.1.223] (h-94-103.a230.priv.bahnhof.se [94.254.94.103])
 (Authenticated sender: mb693743)
 by ste-pvt-msa2.bahnhof.se (Postfix) with ESMTPA id 2BC603F962
 for <bug-gnu-emacs@HIDDEN>; Thu,  8 Sep 2016 17:39:20 +0200 (CEST)
To: bug-gnu-emacs@HIDDEN
From: Andreas Nilsson <an@HIDDEN>
Subject: auto-revert-remote-files freezes emacs (Windows 64-bit)
Message-ID: <d6b0f67b-f476-b1e0-b68c-7084926bbe0e@HIDDEN>
Date: Thu, 8 Sep 2016 17:39:31 +0200
User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:45.0) Gecko/20100101
 Thunderbird/45.2.0
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="------------5BA8830F70B859867C156636"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 08 Sep 2016 11:58:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is a multi-part message in MIME format.
--------------5BA8830F70B859867C156636
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: quoted-printable

This happens for me on two different computers, Windows 10 and Windows=20
8.1. I don=92t know what more info to provide than =93it happens=94, I ca=
n=20
provide stacktraces on some scenarios but not on all since C-g doesn=92t=20
work all the time.


--------------5BA8830F70B859867C156636
Content-Type: text/html; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

<html>
  <head>

    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3Dwin=
dows-1252">
  </head>
  <body bgcolor=3D"#FFFFFF" text=3D"#000000">
    <p>
      <style type=3D"text/css">html, body.modernCanvas { font-family: "Co=
lor Emoji", "Calibri", "Segoe UI", "Meiryo", "Microsoft YaHei UI", "Micro=
soft JhengHei UI", "Malgun Gothic", "sans-serif";}</style></p>
    <p>
      <style class=3D"modernCanvas-contentStyle modernCanvas-defaultStyle=
" data-externalstyle=3D"true">
p.MsoListParagraph, li.MsoListParagraph, div.MsoListParagraph {
margin-top:0in;
margin-right:0in;
margin-bottom:0in;
margin-left:.5in;
margin-bottom:.0001pt;
}
p.MsoNormal, li.MsoNormal, div.MsoNormal {
margin:0in;
margin-bottom:.0001pt;
}
p.MsoListParagraphCxSpFirst, li.MsoListParagraphCxSpFirst, div.MsoListPar=
agraphCxSpFirst,=20
p.MsoListParagraphCxSpMiddle, li.MsoListParagraphCxSpMiddle, div.MsoListP=
aragraphCxSpMiddle,=20
p.MsoListParagraphCxSpLast, li.MsoListParagraphCxSpLast, div.MsoListParag=
raphCxSpLast {
margin-top:0in;
margin-right:0in;
margin-bottom:0in;
margin-left:.5in;
margin-bottom:.0001pt;
line-height:115%;
}
</style>
      <style></style>This happens for me on two different computers,
      Windows 10 and Windows 8.1. I don=92t know what more info to provid=
e
      than=A0=93it happens=94, I can provide stacktraces on some scenario=
s but
      not on all since C-g doesn=92t work all the time.</p>
  </body>
</html>

--------------5BA8830F70B859867C156636--




Acknowledgement sent to Andreas Nilsson <an@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24395; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 29 Nov 2016 08:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.